import 'package:auto_route/auto_route.dart';
import 'package:flutter/material.dart';
import 'package:flutter_bloc/flutter_bloc.dart';
import 'package:krow/features/shifts/domain/blocs/shifts_list_bloc/shifts_bloc.dart';
import 'package:krow/features/shifts/domain/blocs/shifts_list_bloc/shifts_event.dart';

@RoutePage()
class ShiftsFlowScreen extends StatelessWidget {
  const ShiftsFlowScreen({super.key});

  @override
  Widget build(BuildContext context) {
    return MultiBlocProvider(providers: [
      BlocProvider<ShiftsBloc>(
        create: (context) => ShiftsBloc()..add(const ShiftsInitialEvent()),
      ),
    ], child: const AutoRouter());
  }
}
